# TODO:
# - use more system libs:
#   - utf8cpp, stb_image, libdraco (see patches in Debian)
#   - pugixml, polyclipping, poly2tri, zip, opendllparser, open3dgc, rapidjson  (see code/CMakeLists.txt, ASSIMP_HUNTER_ENABLED vs plain option)
# - draco support? (-DASSIMP_ENABLE_DRACO)
Summary:	Open Asset Import Library
Summary(pl.UTF-8):	Asset Import - otwarta biblioteka do importu danych trójwymiarowych
Name:		assimp
Version:	5.2.5
Release:	1
License:	BSD
Group:		Libraries
#Source0Download: https://github.com/assimp/assimp/releases
Source0:	https://github.com/assimp/assimp/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	0b5a5a2714f1126b9931cdb95f512c91
URL:		https://www.assimp.org/
BuildRequires:	cmake >= 3.10
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	minizip-devel
BuildRequires:	pkgconfig
#BuildRequires:	pugixml-devel
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	unzip
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Importer library to import assets from different common 3D file
formats such as Collada, Blend, Obj, X, 3DS, LWO, MD5, MD2, MD3, MDL,
MS3D and a lot of other formats. The data is stored in an own
in-memory data-format, which can be easily processed.

%description -l pl.UTF-8
Biblioteka importująca służąca do odczytu danych trójwymiarowych
(assets) z różnych popularnych formatów plików, takich jak Collada,
Blend, Obj, X, 3DS, LWO, MD5, MD2, MD3, MDL, MS3D i innych. Dane są
przechowywane w pamięci, we własnym formacie, który można łatwo
przetworzyć.

%package devel
Summary:	Header files for assimp library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki assimp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel >= 6:4.7
Requires:	zlib-devel

%description devel
The header files needed for development of programs using the assimp
library.

%description devel -l pl.UTF-8
Pliki nagłówkowe niezbędne do tworzenia programów wykorzystujących
bibliotekę assimp.

%prep
%setup -q

%build
install -d build
cd build
%cmake .. \
	-DASSIMP_LIB_INSTALL_DIR:PATH=%{_lib} \
	-DASSIMP_BUILD_ASSIMP_TOOLS:BOOL=ON

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES CREDITS LICENSE Readme.md
%attr(755,root,root) %{_libdir}/libassimp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libassimp.so.5

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/assimp
%attr(755,root,root) %{_libdir}/libassimp.so
%{_libdir}/cmake/assimp-5.2
%{_includedir}/assimp
%{_pkgconfigdir}/assimp.pc
%changelog
* Wed Nov 02 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/assimp.git;a=log;h=master

* Mon Oct 31 2022 Jan Palus <atler@pld-linux.org> bcc95a4
- up to 5.2.5

* Tue Feb 08 2022 Jakub Bogusz <qboosh@pld-linux.org> ec28bb2
- fix build with system minizip

* Tue Feb 08 2022 Jakub Bogusz <qboosh@pld-linux.org> f271da5
- updated to 5.2.1
- removed outdated irrxml,pc patches
- added system-minizip from Debian (fix build with system minizip from zlib 1.2.x)

* Sat Dec 26 2020 Jakub Bogusz <qboosh@pld-linux.org> f0ba51c
- added irrxml patch, use system irrxml
- added pc patch (normalize includedir,libdir paths in .pc file)
- release 2

* Fri Nov 20 2020 Jan Palus <atler@pld-linux.org> a922cc5
- up to 5.0.1 (new soname)

* Sat Nov 14 2015 Jakub Bogusz <qboosh@pld-linux.org> 1dcefa8
- pl
- ASSIMP_LIB_INSTALL_DIR must be relative path to make valid .pc file

* Sun Oct 18 2015 Elan Ruusamäe <glen@delfi.ee> e387bbb
- fix install on lib64 systems

* Sun Oct 18 2015 Elan Ruusamäe <glen@delfi.ee> 23289b0
- cleanups; drop bogus epoch

* Sun Oct 18 2015 Elan Ruusamäe <glen@delfi.ee> 05a9717
- update BR

* Sat Oct 17 2015 Lukasz Masko <lmasko@pld-linux.org> d51c898
- Initial package version, propably needs some touch.

